> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Genes Proteins Genes Proteins

> Retrieve genes or proteins associated with either genes or proteins that match a query.

Example: query = ATF1.

The limit parameter controls the page size of related items and can not exceed 100.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /genes-proteins/genes-proteins
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /genes-proteins/genes-proteins:
    get:
      summary: Genes Proteins Genes Proteins
      description: >-
        Retrieve genes or proteins associated with either genes or proteins that
        match a query.


        Example: query = ATF1.


        The limit parameter controls the page size of related items and can not
        exceed 100.


        Pagination is 0-based.
      operationId: genesProteinsGenesProteins
      parameters:
        - name: query
          in: query
          required: true
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    protein:
                      type: object
                      properties:
                        _id:
                          type: string
                        name:
                          type: string
                        uniprot_names:
                          type: array
                          items:
                            type: string
                        files_filesets:
                          type: string
                          nullable: true
                      required:
                        - _id
                        - name
                        - uniprot_names
                      additionalProperties: false
                      nullable: true
                    gene:
                      type: object
                      properties:
                        _id:
                          type: string
                        chr:
                          type: string
                        gene_id:
                          type: string
                        hgnc:
                          type: string
                          nullable: true
                        name:
                          type: string
                        organism:
                          type: string
                        files_filesets:
                          type: string
                          nullable: true
                      required:
                        - _id
                        - chr
                        - gene_id
                        - name
                        - organism
                      additionalProperties: false
                      nullable: true
                    related:
                      type: array
                      items:
                        anyOf:
                          - type: object
                            properties:
                              _id:
                                type: string
                              name:
                                type: string
                              uniprot_names:
                                type: array
                                items:
                                  type: string
                              files_filesets:
                                type: string
                                nullable: true
                            required:
                              - _id
                              - name
                              - uniprot_names
                            additionalProperties: false
                          - type: object
                            properties:
                              _id:
                                type: string
                              chr:
                                type: string
                              gene_id:
                                type: string
                              hgnc:
                                type: string
                                nullable: true
                              name:
                                type: string
                              organism:
                                type: string
                              files_filesets:
                                type: string
                                nullable: true
                            required:
                              - _id
                              - chr
                              - gene_id
                              - name
                              - organism
                            additionalProperties: false
                      nullable: true
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````